.DEVICE ATtiny13	;fr gavrasm, fr Symbolische Registerbezeichnungen (z.B.'DDRB')
.cseg
.org 0
;
; bung zu rcall und ret, Stack 
;
; (#) weil Atmel spl schon ab werk auf 9F gesetzt hat, 
; knnen die 2 ersten Befehle weggelassen werden. 
; Das ist bei meinen AtTiny13 tatschlich so, kann aber abweichen !
;
init:			;Vorbereitungen
	ldi r16,ramend	;der Assembler ist so nett und holt uns RAMEND=0x9F als Zahl in r16 (#)
	out spl,r16	;spl=0x3D; out 61,159 (dezimal) (#)
			;
	sbi DDRB,1	;PB1=OC0B als Ausgang setzen fr den Piezo
			;
main:			;Hauptprogramm
	rcall sub_wait	;+1
	rjmp main	;nochmal
			;
sub_wait:		;Unterprogramm 
	adiw r24,1	;r25/r24 hochzhlen
	out portb,r25	;r25 ausgeben (toggle bei 512 = 1,2MHz/512=2343Hz)
	brbc 1,sub_wait	;springe wenn Z=0
	ret		;zurck ins Hauptprogramm (wenn R25/r24=0)
;
; Cyclen: (2+3+4)*1   (2+1+2)*512
; 1,2 MHz / 512 Toggle / 2 Puls+Pause / 5 Cyclen = 234Hz
;