; Lsung zu Tag 18 (es gibt natrliche mehrere Anstze)
;
; init_adc stellt Uref auf Vcc, adlar=1 => 8Bit in ADCH, ADC(2), free run und Autostart. 
; Das Hauptprogramm tut dann nichts mehr, Wandlung und Ausgabe geschieht in int_adc. 
; 
; Nach jeder Wandlung wird int_adc ausgelst, der Wert nach links verschoben und in PortB geladen.
;
.DEVICE ATtiny13		; fr gavrasm, fr Symbolische Registerbezeichnungen (z.B.'DDRB')
.cseg				; fr den Flash-Speicher
.org 0				; fr Adresse 0
	rjmp init 		; Reset vector
	reti 			; Int0 interrupt vector
	reti 			; PCINT0 vector
	reti 			; TC0 overflow vector
	reti 			; Eeprom ready vector
	reti 			; Analog comparator int vector
	reti 			; TC0 CompA vector
	reti 			; TC0 CompB vector
	reti 			; WDT vector
	rjmp int_adc		; ADC conversion complete vector
Int_adc:			;
	in r16,adch		; obere 8Bit holen
	lsr r16			; nach unten verschieben 0xxxx___
	lsr r16			; nach unten verschieben 00xxxx__
	lsr r16			; nach unten verschieben 000xxxx_
	lsr r16			; nach unten verschieben 0000xxxx
 	Out portb,r16		; compare A laden
	reti 			; Return from Interrupt
init:				;
 	ldi r16,LOW(RAMEND)	; Stapelzeiger auf Ende SRAM
 	Out Spl , R16		;
	ldi r16,15		; PB.0-3 auf Ausgang
 	out DDRB,r16		; 
init_adc:			;
	ldi r16,0b00100010	;   0 0 1 0 0 0 1 0
	Out Admux , R16		; ref-^ ^-adlar ^-^-adc(0-3)
	ldi r16,0b00000000	;   0 0 0 0 0 0 0 0
	Out Adcsrb , R16	;             ^-^-^-free run
	ldi r16,0b11101111	;   1 1 1 0 1 1 1 1 
	Out Adcsra , R16	;             ^-^-^-prescaler, ADC starten, Autostart
	sei			; Set Interrupt Flag
main:				;
	rjmp main		; Endlosschleife
;
